Chromium 34 и более поздние версии не могут обнаружить flash-плагин

Я удалил ~/.macromedia и ~/.adobe и после перезапуска хром не может обнаружить флеш-плагин. Он отлично работает в Firefox

У меня есть только «Chromoting Viewer» на chrome://plugins/

chromium-browser 34.0.1847.116-0ubuntu2
adobe-flashplugin 11.2.202.350-0trusty1

У меня есть profile-sync-daemon active (попытался остановить его, конечно) и сломал PolicyKit, как в NetworkManager, поврежденный после обновления до Kubuntu Saucy

Зависит ли обнаружение от PolicyKit? Что еще я могу сделать?

49 голосов | спросил int_ua 17 PMpThu, 17 Apr 2014 19:44:58 +040044Thursday 2014, 19:44:58

4 ответа


83

Chromium 34 в основных репозиториях начал использовать Aura (ранний), который не включает поддержку NPAPI (это запланированный поэтапный отказ от NPAPI в Chromium). Поэтому вам нужно использовать Pepper Flash для использования Flash.

Установка Flash

Ubuntu 14.04 (доверенный) и более новый

Если у вас есть Trusty, вы можете просто запустить sudo apt-get install pepperflashplugin-nonfree.

Ubuntu 12.04 (Точный) и более новый

Если у вас нет Trusty, вы можете использовать этот PPA для установки Pepper Flash для любого поддерживаемая версия Ubuntu выше Precise. Выполните следующие команды, чтобы добавить PPA и установить Pepper Flash:

sudo apt-add-repository ppa:skunk/pepper-flash
sudo apt-get update
sudo apt-get install pepflashplugin-installer

Обратите внимание, что вам нужно настроить Chromium для использования Pepper Flash. Для этого откройте /etc/chromium-browser/default и добавьте следующую строку в конец файла в новой строке:

. /usr/lib/pepflashplugin-installer/pepflashplayer.sh

Закройте все окна и снова откройте.

Обновление Pepper Flash (on Trusty)

Вы можете запустить sudo update-pepperflashplugin-nonfree --status, чтобы узнать, какую версию Pepper Flash вы установили. Если есть более новая версия, вы можете просто запустить sudo update-pepperflashplugin-nonfree --install.

ответил saiarcot895 18 AMpFri, 18 Apr 2014 01:25:44 +040025Friday 2014, 01:25:44
10

Я не знаю точно, но я нашел здесь , что поддержка Adobe Flash Player закончилась для Chromium с апреля 2014 года. Я думаю, что лучше использовать Firefox или вы могли бы использовать Google Chrome, а не Chromium.

ответил ganezdragon 29 PMpTue, 29 Apr 2014 21:20:02 +040020Tuesday 2014, 21:20:02
6

Chromium отказался от поддержки плагинов NPAPI , в пользу их PPAPI. Одним из них является «Adobe Flash Player», который с апреля не будет работать ни в одной версии Chrome /ium. У Chrome есть преимущество, которое включает в себя плагин PepperFlash, который является PPAPI, поэтому, возможно, вы должны использовать его или использовать Firefox в то же время.

ответил Braiam 30 AMpWed, 30 Apr 2014 03:51:47 +040051Wednesday 2014, 03:51:47
0

У меня есть в ~ /.profile параметр:

export CHROME_USER_FLAGS="--disk-cache-size=50000000 --media-cache-size=25000000"

, который испортил настройки /etc /chromium-browser /default удаление этой строки решило проблему с flash-плеером

ответил agroszer 21 PMpMon, 21 Apr 2014 22:49:17 +040049Monday 2014, 22:49:17

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132